Last Comment Bug 764579 - PromptService.Show should be PromptService.show
: PromptService.Show should be PromptService.show
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All Android
: -- normal (vote)
: Firefox 16
Assigned To: Kartikaya Gupta (email:kats@mozilla.com)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 14:15 PDT by Kartikaya Gupta (email:kats@mozilla.com)
Modified: 2012-07-18 21:09 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
Patch (2.92 KB, patch)
2012-06-13 14:15 PDT, Kartikaya Gupta (email:kats@mozilla.com)
margaret.leibovic: review+
Details | Diff | Review

Description Kartikaya Gupta (email:kats@mozilla.com) 2012-06-13 14:15:58 PDT
Created attachment 632879 [details] [diff] [review]
Patch

Java naming convention consistency.
Comment 1 :Margaret Leibovic 2012-06-13 14:23:42 PDT
Comment on attachment 632879 [details] [diff] [review]
Patch

Review of attachment 632879 [details] [diff] [review]:
-----------------------------------------------------------------

::: mobile/android/base/PromptService.java
@@ +381,5 @@
>          boolean multiple = false;
>          try {
>              multiple = geckoObject.getBoolean("multiple");
>          } catch(Exception ex) { }
> +        this.show(title, text, promptbuttons, menuitems, multiple);

As per Java conventions, we can get rid of the |this.| here.
Comment 2 Kartikaya Gupta (email:kats@mozilla.com) 2012-06-14 06:53:48 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/bf12b1b12b2d
Comment 3 Ed Morley [:emorley] 2012-06-15 06:00:08 PDT
https://hg.mozilla.org/mozilla-central/rev/bf12b1b12b2d
Comment 4 Brian Nicholson (:bnicholson) 2012-07-18 21:09:42 PDT
Landed in http://hg.mozilla.org/releases/mozilla-beta/rev/b04c6364ebf6

Note You need to log in before you can comment on or make changes to this bug.